Summary: InfiniBand subnet manager and administration

Name: opensm
Version: 3.2.6
Release: alt0.M41.2

Packager: Stanislav Ievlev <inger@altlinux.org>

License: GPL/BSD

Group: System/Base
URL: http://openib.org/
Source: http://openib.org/downloads/%name-%version.tar
Source1: %name.sysconfig
Source2: %name.init

Requires(post,preun): /sbin/service

BuildPreReq: libibumad-devel >= 1.2.3-alt0.M41.2 flex
Requires: libibumad >= 1.2.3-alt0.M41.2

Requires: lib%name = %version-%release

BuildRequires: libibumad-devel gcc-c++ glibc-devel-static

# Note: there are problems in build system of this project : cyclic deps between to directories
%set_verify_elf_method relaxed

%description
OpenSM provides an implementation of an InfiniBand Subnet Manager and
Administration. Such a software entity is required to run for in order
to initialize the InfiniBand hardware (at least one per each
InfiniBand subnet).

%package -n lib%name
Summary: Libraries from the opensm package
Group: System/Libraries

%description -n lib%name
Shared libraries that are part of the opensm package but are also used by
other applications.  If you don't need opensm itself installed, these
libraries can be installed to satisfy dependencies of other applications.

%package -n lib%name-devel
Summary: Development files for OpenSM
Group: Development/C
Requires: lib%name = %version-%release libibumad-devel
Provides: %name-devel = %version
Obsoletes: %name-devel

%description -n lib%name-devel
Development files for OpenSM

%prep
%setup -q -n %name-%version

%build
%undefine __libtoolize

%configure
%make_build

%install
%makeinstall

install -Dpm 644 %SOURCE1 %buildroot/%_sysconfdir/sysconfig/%name
install -Dpm 755 %SOURCE2 %buildroot/%_initdir/%name

%post 
%post_service %name

%preun
%preun_service %name

%post -n lib%name -p %post_ldconfig
%postun -n lib%name -p %postun_ldconfig

%files
%doc AUTHORS COPYING README
%_sysconfdir/sysconfig/%name
%_initdir/%name
%_sbindir/*
%_man8dir/*

%files -n lib%name
%_libdir/*.so.*

#Note: devel part unusable now
%files -n lib%name-devel
%_includedir/infiniband/*
%_libdir/*.so

%changelog
* Fri Oct 16 2009 Stanislav Ievlev <inger@altlinux.org> 3.2.6-alt0.M41.2
- fix build

* Fri Oct 16 2009 Stanislav Ievlev <inger@altlinux.org> 3.2.6-alt0.M41.1
- update to OFED-1.4.2

* Fri Sep 19 2008 Stanislav Ievlev <inger@altlinux.org> 3.1.11-alt0.M41.1
- build for 4.1

* Thu Sep 18 2008 Stanislav Ievlev <inger@altlinux.org> 3.1.11-alt1
- OFED-1.3.1

* Fri Feb 22 2008 Stanislav Ievlev <inger@altlinux.org> 3.0.3-alt3
- add init.d script

* Mon Aug 27 2007 Stanislav Ievlev <inger@altlinux.org> 3.0.3-alt2
- turn on devel part

* Tue Aug 21 2007 Stanislav Ievlev <inger@altlinux.org> 3.0.3-alt1
- Initial build
